Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Comparing changes

Choose two branches to see what's changed or to start a new pull request. If you need to, you can also compare across forks.

Open a pull request

Create a new pull request by comparing changes across two branches. If you need to, you can also compare across forks.
base fork: haskell/cabal
...
head fork: haskell/cabal
Checking mergeability… Don't worry, you can still create the pull request.
Commits on Sep 25, 2011
@dcoutts dcoutts Add brief description of PVP to cabal init generated .cabal files d570609
Commits on Oct 14, 2011
Brent Yorgey init: improve prompt: 'homepage' field is not for repos. d2dc2f2
Brent Yorgey init: improve prompt: enclose y/n in parens 4af3d41
Brent Yorgey init: see whether source directory 'src' exists. 5c7404d
Commits on Oct 25, 2011
Brent Yorgey init: guess at filling in deps in the build-depends: field c692ab7
Commits on Nov 11, 2011
@dcoutts dcoutts Note in the README that you can install using the cabal program c579b94
Commits on Nov 17, 2011
@dcoutts dcoutts Now require mtl-2 28f33ca
Commits on Dec 12, 2011
@igfoo igfoo Bump version to 1.14.0 d3eb771
@igfoo igfoo Update dependencies 93fee77
Commits on Dec 16, 2011
@kosmikus kosmikus removing datatype contexts 2eec2e2
Commits on Jan 01, 2012
@kosmikus kosmikus removing trailing whitespace 63e9d26
Commits on Jan 09, 2012
@kosmikus kosmikus Added a comment. ad9aac7
Commits on Jan 10, 2012
@kosmikus kosmikus fix compilation with ghc-7.4
Thanks to Tuncer Ayaz.
5ae6e85
@kosmikus kosmikus updating dependencies in bootstrap.sh
Thanks to Tuncer Ayaz.
2327530
Commits on Feb 04, 2012
@ttuegel ttuegel Automatically run test suites when invoked with 'cabal install --enab…
…le-tests'. Do not install if tests fail.
c033f9f
Commits on Feb 07, 2012
@ttuegel ttuegel Handle test and benchmark dependencies through the resolver properly.
Previously, test and benchmark dependencies were handled by editing the
package description to include or exclude those stanzas before running
the dependency resolver. Test and benchmark dependencies could only be
installed for source packages because no package description is available
for named packages before dependency resolution.

Now, test and benchmark stanzas are enabled or disabled through constraints
passed to the dependency resolver. This way, we can install dependencies for
the test suites of target packages without propagating '--enable-tests'
through the entire dependency tree; i.e., tests and benchmarks, when enabled,
are built only for target packages. Later, this will allow us to
automatically run test suites and, e.g., install only upon their success.
748a556
@ttuegel ttuegel Update types in modular dependency solver to compile with new test/be…
…nchmark dependency constraints.
0a9713f
@ttuegel ttuegel Don't build benchmarks, even if installing benchmark dependencies. db220a5
Commits on Feb 08, 2012
@ttuegel ttuegel Enable tests and benchmarks in cabal-install without modifications to…
… the Cabal library.
ff883a0
Commits on Feb 11, 2012
@kosmikus kosmikus Added a missing case. 3af61ae
@kosmikus kosmikus show optional stanzas when printing install plans e772080
Commits on Feb 12, 2012
@kosmikus kosmikus stanza support in modular solver 9108b47
@kosmikus kosmikus let --reinstall imply --force-reinstalls for targets fb4ef4b
Commits on Feb 13, 2012
@kosmikus kosmikus make test and bench available as user constraints
Saying

  cabal install foo --enable-tests

is now equivalent to saying

  cabal install foo --constraint="foo test"

The constraint syntax in addition allows to enable tests and benchmarks
for packages that are further down in the dependency chain.
faa4407
Commits on Feb 16, 2012
@ttuegel ttuegel Fixed non-exhaustive pattern matches with new InstallOutcome. 411c348
@ttuegel ttuegel Don't try to run test suites where none exist. a77cfc4
Commits on Feb 17, 2012
@kosmikus kosmikus added missing error message
Thanks to Thomas Tuegel for spotting this.
40726e6
@tuncer tuncer Update cabal-install boostrap.sh package versions 3e8bb68
Commits on Feb 19, 2012
@ttuegel ttuegel Fix 'cabal configure --enable-{tests,benchmarks}'.
'cabal configure' was not adding optional stanza constraints when checking
dependencies, causing '--enable-{tests,benchmarks}' to be silently ignored.
0c0ae59
Commits on Mar 09, 2012
@kosmikus kosmikus bootstrap with --global should still respect $PREFIX
Thanks to milkypostman for providing the patch. Closes ticket #926.
432f21f
Commits on Mar 15, 2012
@kosmikus kosmikus Added a comment 58432b9
Commits on Mar 28, 2012
@dcoutts dcoutts Fix ticket #731 fdfb694
Commits on Mar 29, 2012
@dcoutts dcoutts Bump version to 0.13.9, the 0.14.0 pre-release version
And depend on the released Cabal-1.14.x
27d6240
Commits on Mar 31, 2012
@kosmikus kosmikus choose default solver based on compiler version
GHC-6.12 has base-3 depending on base-4. This is a situation the
topdown solver is hacked to deal with, but the new modular solver
currently doesn't support it. We therefore switch back to the
topdown solver if a GHC version before 7 is detected, but switch
to the modular solver by default in all other situations.
04cbcd7
Commits on Apr 05, 2012
@kosmikus kosmikus adding the possibility for index-disabled packages
In the modular solver, it's now possible to mark packages
as disabled in the index conversion phase. This can be used
to mark broken packages (with missing dependencies) in such
a way that they can still be seen by the solver and reported
in error messages.

Furthermore, the feature could be used to implement
shadowing restrictions. Currently, there are some things
that can go wrong if multiple installed instances of
the same version and package exist on the system. However,
I've not enabled the use of shadowing for now, as it's
hard to match the restrictions exactly, and we can end up
excluding perfectly valid cases. Enabling shadowing
selectively by a solver flag would be an option.
16e80ca
Commits on Apr 06, 2012
@kosmikus kosmikus adding a solver flag for shadowing of installed packages 51f4aa3
@kosmikus kosmikus disable line-wrapping for solver debug output 973bcc7
@kosmikus kosmikus make the reinstall check less noisy
There are two aspects to this change.

The uncontroversial one is that if the install plan contains
reinstalls, we now determine if there are reverse dependencies
of such reinstalled packages that we can see. If so, these
are likely to be broken. If we find such packages, we list
them and state that we can only install the plan if
--force-reinstalls is explicitly stated.

The more controversial change is that if we cannot find such
reverse dependencies, we now merely print a warning but
continue, even though there are situations where executing
the build process can still break packages. The most likely
example of this is that we're installing to the global package
database, and user package databases on the system have
dependencies on the replaces packages -- but we cannot see
these user package databases.
4d5db0a
Commits on Apr 07, 2012
@kosmikus kosmikus for empty install plans, print the packages that are installed
This is a fix for #623.

If we ask to install a package without --reinstall that's already
there, then we'll show the package and its version in the warning
message and suggest the use of the --reinstall flag.
37a85af
Commits on Apr 08, 2012
@kosmikus kosmikus no longer pre-filter broken packages for modular solver
The modular solver can now deal with broken packages in the
index. I have, however, discovered, that broken packages were
filtered before even passing the installed package index to
the solver. I have made that filtering conditional on using
the topdown solver for now.

Related is the issue that we should not warn about possible
breakage of already broken packages. So we now exclude
already broken packages when considering whether an install
plan contains dangerous reinstalls.
d280399
@kosmikus kosmikus minor wording change when printing install plans 465f108
Commits on Apr 12, 2012
@tuncer tuncer Update cabal-install bootstrap.sh 7062103
Commits on Apr 16, 2012
@kosmikus kosmikus treat packages that are unknown no longer as an "internal error" in m…
…odular solver
368430f
@kosmikus kosmikus handling the "optimization" option properly in config file 1e7cb53
@kosmikus kosmikus handling the solver options properly in config file 523ce03
@kosmikus kosmikus added deepseq to bootstrap.sh
deepseq is a dependency of text, and not included with ghc-7.0.4.
f6da21e
@kosmikus kosmikus updated changelog f58c1a8
@kosmikus kosmikus updated copyright year for Duncan 082093d
@kosmikus kosmikus bumping version to 0.14.0 0c1d613
Commits on Apr 17, 2012
@kosmikus kosmikus last-minute README changes 72e2228
Commits on Apr 18, 2012
@kosmikus kosmikus version update in Cabal Makefile 66474a0